'use client';

import { TechTable } from '@/components/status';
import { useAuth } from '@/components/context';
import { redirect } from 'next/navigation';

const Status = () => {
  const { isAuthenticated } = useAuth();
  if (!isAuthenticated) {
    redirect('/sign-in');
  } else {
    return <TechTable />;
  }
};
export default Status;
